<?xml version="1.0" encoding="utf-8"?>
<control-inst xsi:type="sai:floatingBoardType" bg-id="floating_baord_bg" xmlns="http://www.sonyericsson.com/sui" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:sai="http://www.sonyericsson.com/sai" xsi:schemaLocation="http://www.sonyericsson.com/sui \MC_SwModules_005\cah1623241_sui_toolkit\doc\sui.xsd http://www.sonyericsson.com/sai \MC_SwModules_005\cah1623214_standby_framework\docs\sai_extensions.xsd">
  <visuals>
    <visual id="wallcontrol">
      <include href="Idlepanel\wallpaper.xml"/>
    </visual>
    <visual id="floating_baord_bg" tag="floatingboard">
      <visual-inst xsi:type="imageVisualType" scale-mode="fit">
<!--        <data data-type="imagedata" bmp="0" msk="1">\resource\apps\sai\saiframework.mbm</data> -->
      </visual-inst>
    </visual>
    <visual id="networkname_bg" tag="floatingboard">
      <visual-inst xsi:type="imageVisualType" scale-mode="fit">
        <data data-type="imagedata" bmp="18" msk="19">\resource\apps\sai\saiplugin.mbm</data>
      </visual-inst>
    </visual>
    <visual id="profilestatus_bg" tag="floatingboard">
      <visual-inst xsi:type="imageVisualType" scale-mode="fit">
        <data data-type="imagedata" bmp="20" msk="21">\resource\apps\sai\saiplugin.mbm</data>
      </visual-inst>
    </visual>
    <visual id="mbar" tag="bars">
      <include href="floatingboard_mbar.xml"/>
    </visual>
    <visual id="network_name" tag="text">
      <visual-inst xsi:type="textVisualType" colour="#FFFFFF" size="16" wrap="truncate">
        <data data-type="provider">sai-idle-operator-name-provider#operator-name</data>
      </visual-inst>
    </visual>
    <visual id="sim_at_icon" tag="text">
      <visual-inst xsi:type="sai:imageVisualType" scale-mode="fit" fixed-width="20" fixed-height="20">
        <data data-type="provider">sai-idle-simaticon-provider#simaticon</data>
      </visual-inst>
    </visual>
    <visual id="sim_at_text" tag="text">
      <visual-inst xsi:type="textScrollVisualType" colour="#FFFFFF" size="20">
        <data data-type="provider">sai-idle-simat-provider#simattext</data>
      </visual-inst>
    </visual>
    <!-- Dynamic Text (Switch Viag Home/City zone, CUG, MCN and Profile) -->
    <visual id="cell_broadcast_text" tag="text">
      <visual-inst xsi:type="textVisualType" colour="#FFFFFF" size="20" wrap="truncate">
        <data data-type="provider">sai-idle-cbtext-provider#cbtext</data>
      </visual-inst>
    </visual>
    <visual id="home_zone_text" tag="text">
      <visual-inst xsi:type="textScrollVisualType" colour="#FFFFFF" size="20">
        <data data-type="provider">sai-idle-vhztext-provider#vhztext</data>
      </visual-inst>
    </visual>
    <visual id="timeText" tag="text">
      <control-inst xsi:type="sai:dateTimeControl" clip="false">
        <visuals>
          <visual id="dateTimeVisual" tag="text">
            <visual-inst xsi:type="textVisualType" colour="#FFFFFF" size="24" h-align="center" clip="false">
              <data data-type="provider">sai-info-provider#date-time#%D%M%Y %1%/1%2%/2%3 %-B%:0%J%:1%T%:3%+B</data>
            </visual-inst>
          </visual>
        </visuals>
        <layouts>
          <layout id="textLayout">
            <layout-mgr xsi:type="fixedLayoutMgr">
              <layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="320" height="24">
                <visual-link visual-id="dateTimeVisual"/>
              </layout-item>
            </layout-mgr>
          </layout>
        </layouts>
      </control-inst>
    </visual>
    <visual id="toolbar" tag="bars">
      <control-inst xsi:type="buttonbarType" buttonbar-maxitem="4">
        <background>
          <data data-type="imagedata" bmp="22" msk="23">\resource\apps\sai\saiplugin.mbm</data>
        </background>
        <attribute-set id="toolbar">
          <attribute name="fixed-rows" value="1"/>
          <attribute name="max-columns" value="5"/>
          <attribute name="min-columns" value="2"/>
        </attribute-set>
        <model xsi:type="sai:ShortcutsBBModelType" cenrep-id="536996202" name="shortcuts-model"/>
        <buttonbar-item>
          <include href="sai_touchbar_button.xml"/>
        </buttonbar-item>
      </control-inst>
    </visual>
    <visual id="player_state" tag="floatingboard">
      <visual-inst xsi:type="imageVisualType" scale-mode="fit">
        <data data-type="provider">sai:mmIconProvider#state</data>
      </visual-inst>
    </visual>
    <visual id="resize_switch" tag="floatingboard">
      <include href="floatingboard_resize_switch.xml"/>
    </visual>
  </visuals>
  <layouts>
    <layout id="layout_not_visible">
      <layout-mgr xsi:type="fixedLayoutMgr"/>
    </layout>
    <layout id="layout_visible_fixed">
      <layout-mgr xsi:type="fixedLayoutMgr">
        <layout-item xsi:type="fixedLayoutItemType" x="7" y="267" width="346" height="341">
          <visual-link visual-id="floating_baord_bg"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="7" y="267" width="346" height="84">
          <visual-link visual-id="networkname_bg"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="7" y="351" width="346" height="100">
          <visual-link visual-id="profilestatus_bg"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="20" y="287" width="320" height="20">
          <visual-link visual-id="network_name"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="20" y="315" width="320" height="28">
          <visual-link visual-id="timeText"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="20" y="367" width="320" height="24">
          <visual-link visual-id="cell_broadcast_text"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="20" y="393" width="320" height="24">
          <visual-link visual-id="home_zone_text"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="20" y="421" width="20" height="20">
          <visual-link visual-id="sim_at_icon"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="45" y="419" width="295" height="24">
          <visual-link visual-id="sim_at_text"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="7" y="451" width="346" height="96">
          <visual-link visual-id="mbar"/>
        </layout-item>
        <layout-item xsi:type="fixedLayoutItemType" x="7" y="547" width="346" height="61">
          <visual-link visual-id="toolbar" attr-id="toolbar"/>
        </layout-item>
        <layout-item xsi:type="sai:fixedLayoutItem" x="0" y="0" width="360" height="615">
          <visual-link visual-id="wallcontrol"/>
        </layout-item>
      </layout-mgr>
    </layout>
    <layout id="layout_visible_dynamic">
      <layout-mgr xsi:type="sai:floatingBoardLayoutMgr" top="7" bottom="7" left="7" right="7">
        <layout-item xsi:type="sai:floatingLayoutItem">
          <layout-mgr xsi:type="sai:floatingBoardVerticalLayoutMgr" top="0" bottom="0" left="0" right="0" padding="0">
            <layout-item xsi:type="sai:layoutItem" background="true">
              <visual-link visual-id="floating_baord_bg"/>
            </layout-item>
            <!-- for network name part -->
            <layout-item xsi:type="sai:layoutItem">
              <layout-mgr xsi:type="fixedLayoutMgr" fixed-width="346" fixed-height="84">
                <layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="346" height="84">
                  <visual-link visual-id="networkname_bg"/>
                </layout-item>
                <layout-item xsi:type="fixedLayoutItemType" x="63" y="22" width="220" height="20">
                  <visual-link visual-id="network_name"/>
                </layout-item>
                <layout-item xsi:type="fixedLayoutItemType" x="13" y="54" width="320" height="24">
                  <visual-link visual-id="timeText"/>
                </layout-item>
                <layout-item xsi:type="fixedLayoutItemType" x="306" y="0" width="40" height="34">
                  <visual-link visual-id="resize_switch"/>
                </layout-item>
                <layout-item xsi:type="fixedLayoutItemType" x="290" y="8" width="24" height="18">
                  <visual-link visual-id="player_state"/>
                </layout-item>
              </layout-mgr>
            </layout-item>
            <!-- for profile status part -->
            <layout-item xsi:type="sai:layoutItem">
              <layout-mgr xsi:type="sai:verticalLayoutMgr" top="18" bottom="10" left="0" right="0" padding="6">
                <layout-item xsi:type="sai:layoutItem" background="true">
                  <visual-link visual-id="profilestatus_bg"/>
                </layout-item>
                <layout-item xsi:type="sai:layoutItem" left="13" right="13">
                  <visual-link visual-id="cell_broadcast_text"/>
                </layout-item>
                <layout-item xsi:type="sai:layoutItem" left="13" right="13">
                  <visual-link visual-id="home_zone_text"/>
                </layout-item>
                <layout-item xsi:type="sai:layoutItem">
                  <layout-mgr xsi:type="sai:sizeCheckedFixedLayoutMgr" width="347" height="20">
                    <layout-item xsi:type="sai:layoutItem" x="12" y="0" width="20" height="20" check-height="true">
                      <visual-link visual-id="sim_at_icon"/>
                    </layout-item>
                    <layout-item xsi:type="sai:layoutItem" x="35" y="0" width="277" height="20" check-height="true">
                      <visual-link visual-id="sim_at_text"/>
                    </layout-item>
                  </layout-mgr>
                </layout-item>
              </layout-mgr>
            </layout-item>
            <layout-item xsi:type="sai:layoutItem" removable="true">
              <visual-link visual-id="mbar"/>
            </layout-item>
            <layout-item xsi:type="sai:layoutItem">
              <layout-mgr xsi:type="fixedLayoutMgr">
                <layout-item xsi:type="fixedLayoutItemType" x="0" y="0" width="346" height="61">
                  <visual-link visual-id="toolbar" attr-id="toolbar"/>
                </layout-item>
              </layout-mgr>
            </layout-item>
          </layout-mgr>
        </layout-item>
        <layout-item xsi:type="sai:fixedLayoutItem" x="0" y="0" width="360" height="615">
          <visual-link visual-id="wallcontrol"/>
        </layout-item>
      </layout-mgr>
    </layout>
  </layouts>
  <commands>
    <command id="100" group-id="100"> <!-- up -->
      <data data-id="icon" data-type="imagedata" bmp="30" msk="31">\resource\apps\sai\saiplugin.mbm</data>
    </command>
    <command id="101" group-id="100"> <!-- down -->
      <data data-id="icon" data-type="imagedata" bmp="28" msk="29">\resource\apps\sai\saiplugin.mbm</data>
    </command>
  </commands>
<!--
  <transitions duration="200">
    <transition-event>
      <event-filter>
        <filter attribute="event_type" value="on_activation"/>
      </event-filter>
      <tag-filter>
        <filter value="floatingboard"/>
        <filter value="text"/>
        <filter value="bars"/>
      </tag-filter>
      <transition>
        <transition-effect xsi:type="fadeInEffectType"/>
      </transition>
    </transition-event>
  </transitions>
  -->
</control-inst>
